Subject: Re: bug#33282: ImageMagick delegates

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 15:52:42 +0200

Juri Linkov <[email-masked]> writes:

> I tried to open https://developers.google.com/speed/webp/gallery
> in EWW and it displays images.  Then I clicked the right mouse button
> to use the image context menu to open it in a new tab, but there is
> no such menu in EWW yet (I could implement "Open image in new tab"
> in EWW after merging the tabs branch).  But it seems the web server
> returns PNG images when the web client doesn't support WebP format.

It probably uses User-Agent sniffing, I guess...

> Since Emacs no longer defaults to using ImageMagick, there is no point
> in trying to implement ImageMagick support for WebP anymore.  Regarding
> native support, if web servers return more widespread formats as fallback
> when WebP is not supported on client, then there is not much need in WebP.

So I'm closing this bug report.  If ever WebP becomes important, then
we'll need to support it, and that should be done natively.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no